svn commit: samba r3393 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sat Oct 30 11:53:37 GMT 2004


Author: tridge
Date: 2004-10-30 11:53:36 +0000 (Sat, 30 Oct 2004)
New Revision: 3393

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=3393

Log:
added test_rpc.sh. The idea is that this script will test all the
RPC-* tests that are expected to pass against Samba4. Currently only
RPC-SCHANNEL and RPC-ECHO are in that list, but as we get more working
this test will allow us to ensure that they stay working.


Added:
   branches/SAMBA_4_0/source/script/tests/test_rpc.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2004-10-30 11:48:08 UTC (rev 3392)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2004-10-30 11:53:36 UTC (rev 3393)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# add tests to this list as they start passing, so we test
+# that they stay passing
+tests="RPC-SCHANNEL RPC-ECHO"
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_echo.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+testit() {
+   cmdline="$*"
+   if ! $cmdline > test.$$ 2>&1; then
+       cat test.$$;
+       rm -f test.$$;
+       echo "TEST FAILED - $cmdline";
+       exit 1;
+   fi
+   rm -f test.$$;
+}
+
+for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
+ for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
+   for t in $tests; do
+    echo Testing $t on $transport with $bindoptions
+    testit bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+   done
+ done
+done
+
+echo "ALL OK";


Property changes on: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list